Summary: Library to access the Huge TLB Filesystem
Name: libhugetlbfs
Version: 1.3
Release: 3%{?dist}
Group: System Environment/Libraries
License: LGPLv2+
URL: http://libhugetlbfs.sourceforge.net
Source0: http://downloads.sourceforge.net/libhugetlbfs/libhugetlbfs-%{version}.tar.gz
Patch0: libhugetlbfs-1.2-noexecstack.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%__id_u -n)
ExcludeArch: ia64 s390 s390x
Obsoletes: libhugetlbfs-lib < 1.2
Conflicts: libhugetlbfs-lib < 1.2
Provides: libhugetlbfs-%{_arch} = %{?epoch:%{epoch}:}%{version}-%{release}

%description
The libhugetlbfs library interacts with the Linux hugetlbfs to make large pages
available to applications in a transparent manner.

%package devel
Summary: Development files for libhugetlbfs
Group: Development/Libraries
Requires: libhugetlbfs-%{_arch} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: libhugetlbfs = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
This package contains special linker scripts for libhugetlbfs to enable making
applications which will store their executable text, its initialized or BSS or
all of the above in hugepages.  This requires relinking an application, but
does not require source-level modifications.

%prep
%setup -q
%patch0 -p1 -b .noexecstack

%build
#make %{?_smp_mflags} PREFIX=%{_prefix} BUILDTYPE=NATIVEONLY
# don't build in parallel for now
make PREFIX=%{_prefix} BUILDTYPE=NATIVEONLY

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} PREFIX=%{_prefix} BUILDTYPE=NATIVEONLY install
# remove static lib
rm -f %{buildroot}%{_libdir}/*.a

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc HOWTO LGPL-2.1 NEWS README
%_libdir/*.so

%files devel
%defattr(-, root, root)
%_datadir/libhugetlbfs

%changelog
* Thu Jul 31 2008 Nils Philippsen <nphilipp@redhat.com> - 1.3-3
- ship documentation files

* Wed Jul 16 2008 Nils Philippsen <nphilipp@redhat.com> - 1.3-2
- let -devel require arch-less base package to keep rpmdiff happy

* Wed May 21 2008 Nils Philippsen <nphilipp@redhat.com> - 1.3-1
- version 1.3
- fix SourceForge download URL

* Fri Feb 15 2008 Nils Philippsen <nphilipp@redhat.com> - 1.2-5
- use %%{_arch} instead of %%{arch} (#432799)

* Fri Feb 15 2008 Nils Philippsen <nphilipp@redhat.com> - 1.2-4
- add "Provides/Requires: libhugetlbfs-%%{arch} ..." to base and -devel
  packages to avoid upgrade problems on multilib systems (#432799)
- change license tag to LGPLv2+

* Thu Jan 17 2008 Nils Philippsen <nphilipp@redhat.com> - 1.2-3
- move noexecstack LDFLAGS into Makefile to avoid overwriting other LDFLAGS
  which would break ABI

* Tue Jan 15 2008 Nils Philippsen <nphilipp@redhat.com> - 1.2-2
- add LDFLAGS=-Wl,-z,noexecstack to avoid execstack library
- don't build in parallel

* Thu Nov 22 2007 Nils Philippsen <nphilipp@redhat.com> - 1.2-1
- version 1.2 (#253115)
- move libraries back to main package as hugetlbd was removed, obsolete and
  conflict libhugetlb-lib

* Mon Oct 30 2006 Nils Philippsen <nphilipp@redhat.com> - 1.0.1-1
- version 1.0.1
- split off -lib

* Thu Oct 19 2006 Nils Philippsen <nphilipp@redhat.com> - 1.0-1
- version 1.0

* Wed Sep 13 2006 Nils Philippsen <nphilipp@redhat.com> - 1.0-0.3.pre4.1
- version 1.0-pre4-1
- don't reference %%buildroot in LDSCRIPTDIR

* Wed Aug 23 2006 Nils Philippsen <nphilipp@redhat.com> - 1.0-0.3.pre3
- exclude s390, s390x architectures (as the package doesn't contain linkers
  scripts for these)

* Fri Aug 18 2006 Nils Philippsen <nphilipp@redhat.com> - 1.0-0.2.pre3
- put http:// in front of URL

* Thu Aug 17 2006 Nils Philippsen <nphilipp@redhat.com> - 1.0-0.1.pre3
- initial build
